Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
coupons
/
{coupon_id}
Admin Get Coupon
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/coupons/{coupon_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "code": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "discount_type": "<string>",
      "discount_value": 123,
      "expires_at": "2023-11-07T05:31:56Z",
      "first_time_only": true,
      "is_active": true,
      "max_redemptions": 123,
      "metadata": {},
      "redemption_count": 123,
      "team_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "coupons"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
coupon_id
string
required

Response

Successful Response

data
CouponResource · object
required